curl -X POST https://api.magpipe.ai/functions/v1/manage-api-keys \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"action": "revoke",
"key_id": "b007638d-9550-4cc4-b35f-d11632d77d08"
}'
const response = await fetch(
'https://api.magpipe.ai/functions/v1/manage-api-keys',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
action: 'revoke',
key_id: 'b007638d-9550-4cc4-b35f-d11632d77d08',
}),
}
);
import requests
response = requests.post(
'https://api.magpipe.ai/functions/v1/manage-api-keys',
headers={
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json',
},
json={
'action': 'revoke',
'key_id': 'b007638d-9550-4cc4-b35f-d11632d77d08',
}
)
{
"success": true
}
{
"error": "API key not found or already revoked"
}
API Keys & Webhooks
Revoke API Key
Revoke an API key to permanently disable it
POST
/
manage-api-keys
curl -X POST https://api.magpipe.ai/functions/v1/manage-api-keys \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"action": "revoke",
"key_id": "b007638d-9550-4cc4-b35f-d11632d77d08"
}'
const response = await fetch(
'https://api.magpipe.ai/functions/v1/manage-api-keys',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
action: 'revoke',
key_id: 'b007638d-9550-4cc4-b35f-d11632d77d08',
}),
}
);
import requests
response = requests.post(
'https://api.magpipe.ai/functions/v1/manage-api-keys',
headers={
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json',
},
json={
'action': 'revoke',
'key_id': 'b007638d-9550-4cc4-b35f-d11632d77d08',
}
)
{
"success": true
}
{
"error": "API key not found or already revoked"
}
Revoke an API key. The key immediately stops working and webhook deliveries are disabled. This cannot be undone.
Request Body
string
required
Must be
revoke.string
required
The UUID of the API key to revoke.
Response
boolean
Whether the revocation was successful.
curl -X POST https://api.magpipe.ai/functions/v1/manage-api-keys \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"action": "revoke",
"key_id": "b007638d-9550-4cc4-b35f-d11632d77d08"
}'
const response = await fetch(
'https://api.magpipe.ai/functions/v1/manage-api-keys',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
action: 'revoke',
key_id: 'b007638d-9550-4cc4-b35f-d11632d77d08',
}),
}
);
import requests
response = requests.post(
'https://api.magpipe.ai/functions/v1/manage-api-keys',
headers={
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json',
},
json={
'action': 'revoke',
'key_id': 'b007638d-9550-4cc4-b35f-d11632d77d08',
}
)
{
"success": true
}
{
"error": "API key not found or already revoked"
}
⌘I